Subject: [mpls] I: Re: Mixing ICC and Global-IDs in MPLS-TP Identifiers?

From: "[email-masked]" <[email-masked]>
Date: Mon, 2 May 2011 23:55:16 +0200 (CEST)

Forwarding the messate to the MPLS WG mailing list ...

>----Messaggio originale----
>Da: [email-masked]
>Data: 2-mag-2011 23.49
>A: <[email-masked]>
>Ogg: R: Re: [mpls] Mixing ICC and Global-IDs in MPLS-TP Identifiers?
>
>If you encode the identifier is a typed structure, the type would be part 
of 
>the ordering key.
>
>I agree that an ordering convention needs to be defined.
>
>----Messaggio originale----
>Da: [email-masked]
>Data: 27-apr-2011 8.06
>A: "Sprecher, Nurit (NSN - IL/Hod HaSharon)"<[email-masked]>, 
"Malcolm.
>[email-masked]"<[email-masked]>
>Cc: "[email-masked]"<[email-masked]>
>Ogg: Re: [mpls] Mixing ICC and Global-IDs in MPLS-TP Identifiers?
>
>Malcolm, Nurit and all,
>One technical reason for not mixing identifiers of different types is that 
in 
>certain situations these identifiers are treated as an ordered set, i.e., it 
is 
>possible to say when one of these identifiers is “less” than the other one. 
>The typical use case is tie-breaking in various protocols (e.g., for 
deciding 
>which request for a protection-related has to be granted). Even if the 
current 
>set of MPLS-TP protocols does not use such tie-breakers, I would not 
preclude 
>this usage in future.
> 
>It is relatively simple to impose some order on identifiers of the same 
type. 
>Imposing an order on a superset of identifiers at least requires some 
thought.
>Regards,
>     Sasha